#46 2.0.0b3p8 : не полностью очищается cache_directory

closed-accepted
Oleg S.
None
1
2011-05-07
2010-12-15
No

2.0.0b3p8
После генерации отчетов не полностью очищается cache_directory.
Остаются каталоги с такими файлами:

# ll /var/cache/free-sa/r89238
total 0
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_0.uns
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_1.uns
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_2.uns
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_3.uns
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_4.uns
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_5.uns
-rw-r--r-- 1 root wheel 0 15 дек 08:32 lf_6.uns

В чем может быть причина?

Discussion

  • Oleg S.
    Oleg S.
    2011-04-22

    Проверьте 2.0.0b4, она должна полностью удалять директорию после своей работы. Если это не так, то напишите комментарий сюда.

     
  • Oleg S.
    Oleg S.
    2011-04-22

    Realised in upcoming release.

     
  • Oleg S.
    Oleg S.
    2011-04-22

    • assigned_to: nobody --> xsaper
    • priority: 5 --> 1
    • status: open --> closed-fixed
     
  • С 2.0.0b4 ничего не изменилось. Файлы не удаляются.

     
  • Не могли бы приложить ваш free-sa.conf? Я тестировал 2.0.0b4 с разными конфигурациями и не обнаружил этой проблемы.

     
  • Oleg S.
    Oleg S.
    2011-04-29

    Не могли бы приложить ваш free-sa.conf? Я
    тестировал 2.0.0b4 с разными конфигурациями
    и не обнаружил этой проблемы.

     
  • Oleg S.
    Oleg S.
    2011-04-29

    • status: closed-fixed --> open-accepted
     
  • Приложил.

     
  • Oleg S.
    Oleg S.
    2011-04-30

    Даже с вашим файлом конфигурации директория, создаваемая во время выполнения очередной копии Free-SA удаляется. Вы не могли бы проверить, свежие это файлы или они от старых запусков Free-SA? Если это свежие, то не могли бы указать какие именно файлы остаются?

    Или у вас старые директории/файлы или Free-SA не отрабатывает до конца из-за какой то ошибки.

     
  • Oleg S.
    Oleg S.
    2011-04-30

    Названия файлов вы уже привели выше. Вы точно уверены, что запускали бинарный файл Free-SA 2.0.0b4, а не старый? Такая ошибка часто бывает.

     
  • Да, действительно, Free-SA завершается аварийно: "SAERROR: [CollectLog] No records found". Это происходит, если в логе отсутсвуют записи состветсвующие global_filter.
    Я считаю, что отсутствие записей в логе удовлетворяющих условию фильтрации вполне штатная ситуация и не должно вызывать аварийного завершения.

    У меня Free-SA запускает cron, а в системных ошибки Free-SA не регистрируются. В моменты ручного запуска записи в логе были. Из-за этого не получалось обнаружить причину.
    Может быть стоит выводить ошибки не только на STDERR но и на syslog?

     
  • Oleg S.
    Oleg S.
    2011-05-07

    Во вложении внизу патч для 2.0.0b4p6, он удаляет директорию если записей не было найдено и выход происходит с хорошим кодом возврата, хотя и с предупреждением. Этот запрос переместил в Feature Requests.

     
  • Oleg S.
    Oleg S.
    2011-05-07

    • status: open-accepted --> closed-accepted
     
  • Oleg S.
    Oleg S.
    2011-05-07